#!/bin/sh
########################################
###### Powered by Vu+ jungle-team ######
##   http://jungle-team.com           ##
########################################

CAMNAME="ncam_5.3-r2"


remove_tmp () {
	rm -rf /tmp/cainfo.* /tmp/camd.* /tmp/sc.* /tmp/*.info* /tmp/*.tmp* /tmp/oscam*
	[ -e /tmp/.ncam ] && rm -rf /tmp/.ncam
	[ -e /tmp/.emu.info ] && rm -rf /tmp/.emu.info
	[ -e /tmp/ncam.mem ] && rm -rf /tmp/ncam.mem
}

case "$1" in
	start)
		echo "[SCRIPT] $1: $CAMNAME"
		remove_tmp
		touch /tmp/.emu.info
		echo "ncam_5.3-r2" > /tmp/.emu.info
		/usr/bin/ncam -b -r 2 -c /etc/tuxbox/config/ncam
	;;
	stop)
		echo "[SCRIPT] $1: $CAMNAME"
		kill `pidof ncam`
		remove_tmp
	;;
	restart)
		$0 stop
		sleep 2
		$0 start
		exit
	;;
	*)
		$0 stop
		exit 0
	;;
esac

exit 0
